package uk.co.hcsoftware.commander;

import java.util.Comparator;
import java.util.logging.Logger;


/**
 * Title: NameComparator
 * Copyright:    Copyright (c) 28-Oct-2005
 *
 * @author spurlinn
 */
public class BooleanComparator implements Comparator<Boolean>{
    public static final Logger log = Logger.getLogger(BooleanComparator.class.getName());
    public int compare(Boolean aBoolean, Boolean aBoolean1) {
        final boolean b1=aBoolean.booleanValue(),b2=aBoolean1.booleanValue();
        //true comes before false
        if(b1 == b2) return 0;
        else if(b1){
            return -1; //b1 is true, so b2 is false
        }
        else{
            assert b2;
            return 1; //b2 is true, b1 is false
        }
    }
}
