package uk.co.hcsoftware.commander.gui.ctable;

import javax.swing.*;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.*;
import java.util.logging.Logger;


/**
 * Title: StringRenderer
 * Copyright:    Copyright (c) 15-Mar-2006
 *
 * attribtueValue passed to this class must be an instance of Icon (or null)
 *
 * @author N Spurling
 */
public class IconRenderer extends DefaultTableCellRenderer{
    public static final Logger log = Logger.getLogger(IconRenderer.class.getName());
    private TableRenderable tableRenderable;
    public IconRenderer(TableRenderable tableRenderable) {
        this.tableRenderable = tableRenderable;
    }
    public Component getTableCellRendererComponent(JTable table, Object attributeValue, boolean isSelected, boolean hasFocus, int row, int column) {
        Icon i = (Icon) attributeValue;


        JLabel jl =  (JLabel)  super.getTableCellRendererComponent(table
                , ""
                , isSelected, hasFocus,row,column);
        jl.setIcon(i);
        tableRenderable.setupRenderLabel(jl, row, column);
        return jl;
    }
}
