package uk.co.hcsoftware.commander.gui.file;

public class ZipPathHelper {
     /**
     *
     * @param zipPath directory elements
     * @return zippath to directory
     */
    public String toZipDirPath(String[] zipPath) {
        StringBuilder sb = new StringBuilder();
        for(String s:zipPath){
            sb.append(s);
            sb.append("/");
        }
        return sb.length()==0?"/":sb.toString(); //keep trailing slash since this is a dir
    }
    public String toZipPath(String[] zipPath, String fileName) {
        return toZipDirPath(zipPath)+fileName;
    }

    public String[] path(String[] old, String plus){
        String[] ret = new String[old.length+1];
        System.arraycopy(old,0,ret,0,old.length);
        ret[ret.length-1]=plus;
        return ret;
    }
}
