package uk.co.hcsoftware.commander.gui.zip;

import java.util.logging.Logger;


/**
 * Title: CannotCreateEntryException
 * Copyright:    Copyright (c) 07-Feb-2006
 *
 * @author spurlinn
 */
public class CannotCreateEntryException extends Throwable {
    public static final Logger log = Logger.getLogger(CannotCreateEntryException.class.getName());
    private String name;

    public CannotCreateEntryException(String message, String name) {
        super(message);
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
