package uk.co.hcsoftware.commander.io;

import java.io.File;
import java.util.List;

/**
 * $Log: CannotFindCommonAncestorException.java,v $
 * Revision 1.3  2006/12/10 11:49:07  ns
 * update to 3-nov-2006 version
 *
 */
public class CannotFindCommonAncestorException extends Throwable {
    private final List<File> files;

    public CannotFindCommonAncestorException(List<File> files) {

        this.files = files;
    }

    public List<File> getFiles() {
        return files;
    }
}
