package uk.co.hcsoftware.commander.io;

import java.io.File;
import java.io.IOException;

/**
 * Title: DeleteProgress
 * Copyright:    Copyright (c) 30-Mar-2006
 *
 * @author N Spurling
 */
public interface MoveProgress {   //todo keep track of which were overwrites etc. replace current move func
    void moved(File f, File newFile, boolean overwrote);
    void failedToMove(File f, File newFile);
    void failedToMove(File f, File newFile, IOException e);
}
