package uk.co.hcsoftware.commander.test;

import junit.framework.TestCase;

import java.util.Random;


/**
 * Title: TestArr
 * Copyright:    Copyright (c) 01-Mar-2006
 *
 * @author N Spurling
 */
public class TestArr extends TestCase{
    Random r = new Random();
    public void testArr(){
        int max=10000;
        for(int i=1;i<max;i++){
            int[] in=new int[r.nextInt(1000)+1];
            try {
                int index=r.nextInt(in.length);
                int[] b = deleteIndex(in,index);
                assertEquals(in.length-1,b.length);
            } catch (RuntimeException e) {
                throw e;
            }
        }

    }
    private int[] deleteIndex(int[] deleteFrom, int index){
//        System.out.println("index = " + index+" dlen="+deleteFrom.length);
        int[] ret = new int[deleteFrom.length-1];
        if (index>0) {
            System.arraycopy(deleteFrom,0,ret,0,index);
        }
        if (index<deleteFrom.length-2) {
            System.arraycopy(deleteFrom,index+1,ret,index,ret.length-index);
        }
        return ret;
    }

}
