package ns;

import java.util.Iterator;

/**
 * Created by IntelliJ IDEA.
 * User: spurln
 * Date: 08-Mar-2004
 * Time: 11:39:33
 * To change this template use Options | File Templates.
 */
public class PushbackIterator<E> implements Iterator<E>{
        private Iterator<E> iterator;
        private E next;

        public PushbackIterator(Iterator<E> iterator) {
            this.iterator = iterator;
        }

        public boolean hasNext() {
            return next!=null || iterator.hasNext();
        }

        public E next() {
            if(next!=null){
                E o = next;
                next=null;
                return o;
            }
            return iterator.next();
        }

        public void remove() {
            throw new UnsupportedOperationException();//iterator.remove();
        }
        public void push(E o){
            next=o;
        }
        public E peekNext(){
            if(next!=null) return next;
            next=iterator.next();
            return next;
        }
    }