package uk.co.hcsoftware.commander;

import java.io.File;
import java.util.logging.Logger;


/**
 * here for legacy compatibility reasons
 */
public class Bookmark {
    private static final Logger log = Logger.getLogger(Bookmark.class.getName());

    public static class BookmarkBean{
        private String f1name;
        private String f2name;
        private String name;

        //implementation sideeffect  --do not call
        public BookmarkBean() {
        }

        public BookmarkBean(String fname, String f2name, String name) {
            this.f1name = fname;
            this.f2name = f2name;
            this.name = name;
        }

        public String getF1name() {
            return f1name;
        }

        public String getF2name() {
            return f2name;
        }

        public void setF2name(String f2name) {
            this.f2name = f2name;
        }

        public void setF1name(String f1name) {
            this.f1name = f1name;
        }
        public void setFname(String f1name) { //backwards compat
            setF1name(f1name);
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
        public uk.co.hcsoftware.commander.bookmarks.Bookmark createBookmark(){
            if(f2name==null){
                return uk.co.hcsoftware.commander.bookmarks.Bookmark.createBookmark(name,new File(f1name));
            }
            else return uk.co.hcsoftware.commander.bookmarks.Bookmark.createBookmark(name,new File(f1name),new File(f2name));
        }
    }
}
