package uk.co.hcsoftware.commander.gui;




/**
 * Title: CannotRestoreSavedStateException
 * Copyright:    Copyright (c) 23-Jan-2006
 *
 * @author spurlinn
 */
public class CannotRestoreSavedStateException extends Exception {
    private String state;

    public CannotRestoreSavedStateException(String state, String message) {
        super(message);
        this.state = state;
    }

    public CannotRestoreSavedStateException(String state, String message, Throwable cause) {
        super(message, cause);
        this.state = state;
    }

    public String getState() {
        return state;
    }
}
