package uk.co.hcsoftware.commander.gui;

import org.jdom.Element;

import java.awt.datatransfer.DataFlavor;


/**
 * Title: ViewStateTransferData
 * Copyright:    Copyright (c) 19-Apr-2006
 *
 * @author N Spurling
 */
public class ViewStateTransferData{
    public static final DataFlavor dataFlavor = new DataFlavor(ViewStateTransferData.class,"CommanderBond saved view");
    private Element viewElement; //I assume this is serializable
    public static final String ELEMENTNAME = "viewstate";

    public ViewStateTransferData(Commandule c) {
        viewElement = new Element(ELEMENTNAME);
        viewElement.getContent().add(ViewPanel.getViewElement(c));
    }
    public Element getViewElement() {
        return viewElement;
    }
}
