package uk.co.hcsoftware.commander.gui.ctable;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * Title: DateRenderer
 * Copyright:    Copyright (c) 15-Mar-2006
 *
 * @author N Spurling
 */
public class DateRenderer extends StringRenderer{
    public DateRenderer(TableRenderable tableRenderable) {
        super(tableRenderable);
    }

    private final DateFormat df = new SimpleDateFormat("dd-MMM-yy HH:mm");
    Object getAttributeValue(Object attributeValue, int row, int column) {
        return attributeValue==null?"": df.format(new Date((Long)attributeValue));
    }
}
