package uk.co.hcsoftware.commander.gui.ctable;

import javax.swing.*;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.*;
import java.util.logging.Logger;


/**
 * Title: StringRenderer
 * Copyright:    Copyright (c) 15-Mar-2006
 *
 * @author N Spurling
 */
public class StringRenderer extends DefaultTableCellRenderer{
    public static final Logger log = Logger.getLogger(StringRenderer.class.getName());
    private TableRenderable tableRenderable;
    public StringRenderer(TableRenderable tableRenderable) {
        this.tableRenderable = tableRenderable;
    }
    public Component getTableCellRendererComponent(JTable table, Object attributeValue, boolean isSelected, boolean hasFocus, int row, int column) {
        final Object o = getAttributeValue(attributeValue, row, column);
        JLabel jl =  (JLabel)  super.getTableCellRendererComponent(table
                , o
                , isSelected, hasFocus,row,column);

        tableRenderable.setupRenderLabel(jl, row, column);

        return jl;
    }
    Object getAttributeValue(Object attributeValue, int row, int column){
        return attributeValue;
    }
}
