package uk.co.hcsoftware.commander.gui.file;

import java.io.File;
import java.util.List;

public class DeleteFailedException extends Exception{
   private List<File> deleted;
   private File failed;

   public DeleteFailedException(List<File> deleted, File failed) {
       this.deleted = deleted;
       this.failed = failed;
   }

   public List<File> getDeleted() {
       return deleted;
   }

   public File getFailed() {
       return failed;
   }

}
