package uk.co.hcsoftware.commander.io;

import java.io.File;
import java.io.IOException;

/**
 * Title: DeleteProgress
 * Copyright:    Copyright (c) 30-Mar-2006
 *
 * @author N Spurling
 */
public interface CopyProgress {
    void copied(File f, File newFile, boolean overwrote);
    void failedToCopy(File f, File newFile);
    void failedToCopy(File f, File newFile, IOException e);
}
