package uk.co.hcsoftware.commander.io;

import uk.co.hcsoftware.commander.NotSupportedException;
import uk.co.hcsoftware.commander.gui.CannotSaveException;

import java.awt.datatransfer.Transferable;

/**
 * Title: SaveTarget
 * Copyright:    Copyright (c) 16-Jan-2006
 *
 * @author spurlinn
 */
public interface SaveTarget {
    /**
     *
     * @param t
     * @param force overwrite any destination files that have same name as a source file
     * @throws uk.co.hcsoftware.commander.NotSupportedException
     * @throws uk.co.hcsoftware.commander.gui.CannotSaveException
     */
    void save(Transferable t, boolean force) throws NotSupportedException, CannotSaveException;
}
